document.addEventListener('DOMContentLoaded', function() {
    // Check if the user is an admin
    function isAdmin() {
        return document.body.classList.contains('admin-bar');
    }

    if (!isAdmin()) {
        // Disable right-click
        document.addEventListener('contextmenu', function(e) {
            e.preventDefault();
        });

        // Disable drag-and-drop
        document.addEventListener('dragstart', function(e) {
            e.preventDefault();
        });

        // Disable copy-paste and other shortcuts
        document.addEventListener('keydown', function(e) {
            // Prevent copy-paste
            if ((e.ctrlKey && (e.key === 'c' || e.key === 'v')) || (e.metaKey && (e.key === 'c' || e.key === 'v'))) {
                e.preventDefault();
            }
            // Prevent view source and developer tools
            if ((e.ctrlKey && e.key === 'u') || (e.ctrlKey && e.shiftKey && e.key === 'i') ||
                (e.metaKey && e.altKey && e.key === 'i')) {
                e.preventDefault();
            }
        });

        // Ensure cursor remains default for all elements
        document.querySelectorAll('*').forEach(function(element) {
            element.style.cursor = 'default';
        });
    }
});
