<?php
/*
Plugin Name: Secure Content Protector
Plugin URI: https://www.ismartwebservice.com/secure-content-protector
Description: Secure Content Protector helps you protect your website content from being copied by disabling right-click, text selection, and copy functionality.
Version: 1.0.0
Author: iSmart Web Service
Author URI: https://www.ismartwebservice.com
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
*/

function secure_content_protector_enqueue_scripts() {
    // Enqueue CSS and JS only for non-admin users
    if (!current_user_can('manage_options')) {
        wp_enqueue_style('secure-content-protector-style', plugins_url('secure-content-protector.css', __FILE__));
        wp_enqueue_script('secure-content-protector-script', plugins_url('secure-content-protector.js', __FILE__), array('jquery'), null, true);
    }
}
add_action('wp_enqueue_scripts', 'secure_content_protector_enqueue_scripts');
